# Hexo Configuration
## Docs: https://hexo.io/docs/configuration.html
## Source: https://github.com/hexojs/hexo/

# Site
title: Blog
subtitle: ''
description: ''
keywords:
author: Johannes Lüke
language: en
timezone: ''
rss: /atom.xml

copyright:
  start_year: 2020
  end_year: 2021


# URL
## If your site is put in a subdirectory, set url as 'http://yoursite.com/child' and root as '/child/'
url: http://johanneslueke.eu
root: /
permalink: :year/:month/:day/:title/
permalink_defaults:
pretty_urls:
  trailing_index: true # Set to false to remove trailing 'index.html' from permalinks
  trailing_html: true # Set to false to remove trailing '.html' from permalinks

# Directory
source_dir: source
public_dir: public
tag_dir: tags
archive_dir: archives
category_dir: categories
code_dir: downloads/code
i18n_dir: :lang
skip_render:

# Writing
#new_post_name: :title.md # File name of new posts
#default_layout: post
#titlecase: false # Transform title into titlecase
#external_link:
#  enable: true # Open external links in new tab
#  field: site # Apply to the whole site
#  exclude: ''
#filename_case: 0
#render_drafts: false
#post_asset_folder: true
#marked:
#  prependRoot: true
#  postAsset: true
#relative_link: false
#future: true
#highlight:
#  enable: true
#  line_number: true
#  auto_detect: true
#  tab_replace: ''
#  wrap: true
#  hljs: true

# Home page setting
# path: Root path for your blogs index page. (default = '')
# per_page: Posts displayed per page. (0 = disable pagination)
# order_by: Posts order. (Order by date descending by default)
index_generator:
  path: ''
  per_page: 10
  order_by: -date

# Category & Tag
default_category: uncategorized
category_map:
tag_map:

# Metadata elements
## https://developer.mozilla.org/en-US/docs/Web/HTML/Element/meta
meta_generator: true

# Date / Time format
## Hexo uses Moment.js to parse and display date
## You can customize the date format as defined in
## http://momentjs.com/docs/#/displaying/format/
date_format: YYYY-MM-DD
time_format: HH:mm:ss
## Use post's date for updated date unless set in front-matter
use_date_for_updated: false

# Pagination
## Set per_page to 0 to disable pagination
per_page: 10
pagination_dir: page

# Include / Exclude file(s)
## include:/exclude: options only apply to the 'source/' folder
include:
exclude:
ignore:

# Extensions
## Plugins: https://hexo.io/plugins/
## Themes: https://hexo.io/themes/
theme: icarus 


#customize:
#  show_all_posts: true
#  highlight: dark.styl
#  social_links:
#    github: https://github.com/Johanneslueke
#    twitter: https://twitter.com/JohannesSLueke
#    linkedin: https://www.linkedin.com/in/johannes-l%C3%BCke-3a253a58/
    #NAME: your-NAME-url
  

# Deployment
## Docs: https://hexo.io/docs/deployment.html
deploy:
  type: ''
